Orarun rpm, stop/start scripts for tiers

Is anyone using the orarun rpm? If so, how do you startup your tiers? I have the metalink note 211497.1, an oracle sales person gave me it since I am evaluating OCS and can't have a metalink account. I was able to successfully install all 3 tiers finally and I had to powerdown because electricians were coming in. Now I can't even bring up the ifrastructure tier using the commands. Someone help please. Thanks for any input.

here u r the note
How to start/stop components of Collaboration Suite
PURPOSE
Helping to start and stop all components of Collaboration Suite
SCOPE & APPLICATION
All administrators and consultants working with Collaboration Suite
HOW TO START/STOP COLLABORATION SUITE
There are several steps for starting and stopping Collaboration Suite
components.
Here you can find examples how to start and stop infrastructure,
database and middletier components seperately
1) INFRASTRUCTURE
Please check first, which of the components you have configured
----infraenv begin----
export ORACLE_BASE=<your ORACLE_BASE, e.g: /u01/oracle>
export ORACLE_HOME=<your ORACLE_HOME, e.g: /u01/oracle/product/infra>
export PATH=$ORACLE_HOME/bin:$ORACLE_HOME/dcm/bin:$ORACLE_HOME/opmn/bin:/usr/local/bin:$PATH
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$ORACLE_HOME/ctx/lib:$LD_LIBRARY_PATH
export NLS_LANG=<your NLS setting, e.g: american_america.UTF8>
export ORACLE_SID=iasdb
export TNS_ADMIN=$ORACLE_HOME/network/admin
export ORA_NLS33=$ORACLE_HOME/ocommon/nls/admin/data
----infraenv end------
----infrastart begin----
# starting infrastructure components:
# get env
. ./infraenv
ALTDISP=$DISPLAY
export DISPLAY=localhost:0.0
# listener starting
lsnrctl start
# listener checking
lsnrctl status
# database starting (refers to ORACLE_SID setting in infraenv)
sqlplus "/ as sysdba" <<!
startup
# OID starting
oidmon connect=iasdb start
sleep 5
oidctl connect=iasdb server=oidldapd instance=1 start
# HTTP and OC4J starting
dcmctl shell <<!
getState -v
start -v -ct ohs
start -v -co OC4J_DAS
getState -v
# Webcache start (only necessary for portal)
webcachectl start
# OPMN start (sometimes necessary, please try first without it)
opmnctl startall
# EMD starting (not needed for OID, only for web administration)
emctl start
export DISPLAY=$ALTDISP
----infrastart end------
----infrastop begin----
# stopping infrastructure components
# get env
. ./infraenv
ALTDISP=$DISPLAY
export DISPLAY=localhost:0.0
# EMD stopping (not needed for OID, only for web administration)
# setting pw variable to avoid emctl asking for pw
export EM_ADMIN_PWD=<ias_admin_password>
emctl stop
# Webcache stop
webcachectl stop
# HTTP and OC4J stopping
dcmctl shell <<!
getState -v
stop -v -ct ohs
stop -v -co OC4J_DAS
getState -v
# OPMN stop (to stop opmn and his shadow process)
opmnctl stopall
# OID stopping
oidctl connect=iasdb server=oidldapd instance=1 stop
sleep 5
oidmon connect=iasdb stop
# listener stopping
lsnrctl stop
# database stopping
sqlplus "/ as sysdba" <<!
shutdown immediate
export DISPLAY=$ALTDISP
----infrastop end------
2) STORAGE
If there are different databases for mailstore and Files, then each of them
needs these scripts
----dbenv begin------
export ORACLE_BASE=<your ORACLE_BASE, e.g. /u01/oracle>
export ORACLE_HOME=<your ORACLE_HOME, e.g. /u01/oracle/product/storage>
export PATH=$ORACLE_HOME/bin:/usr/local/bin:$PATH
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$ORACLE_HOME/ctx/lib:$LD_LIBRARY_PATH
export NLS_LANG=<your NLS setting, e.g. american_america.UTF8>
export ORACLE_SID=<your SID, e.g. OCS>
export TNS_ADMIN=$ORACLE_HOME/network/admin
export ORA_NLS33=$ORACLE_HOME/ocommon/nls/admin/data
----dbenv end--------
----dbstart begin------
# starting storage components
# get env
. ./dbenv
# listener starting
lsnrctl start
# listener checking
lsnrctl status
# database starting
sqlplus "/ as sysdba" <<!
startup
----dbstart end--------
----dbstop begin------
# stopping storage components
# get env
. ./dbenv
# listener stopping
lsnrctl stop
# database stopping
sqlplus "/ as sysdba" <<!
shutdown immediate
----dbstop end--------
3) MIDTIER COMPONENTS
first of all start Calendar and Files before the other components always
(both of them as root !)
switch from oracle with environment set (see below) to root with 'su'
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$LD_LIBRARY_PATH
cd /users/unison/bin
./unistart
cd $ORACLE_HOME/ifs/files/bin
./ifsctl start
check <Note.205298.1> Considerations how to start UM listener as oracle
to see, if you can start listener_es as oracle (as desribed below) or not
----midenv begin------
export ORACLE_BASE=<your ORACLE_BASE, e.g. /u01/oracle>
export ORACLE_HOME=<your ORACLE_HOME, e.g. /u01/oracle/product/midtier>
export PATH=$ORACLE_HOME/bin:$ORACLE_HOME/dcm/bin:$ORACLE_HOME/opmn/bin:/usr/local/bin:$PATH
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$ORACLE_HOME/ctx/lib:$LD_LIBRARY_PATH
export NLS_LANG=<your NLS setting, e.g. american_america.UTF8>
export TNS_ADMIN=$ORACLE_HOME/network/admin
export ORA_NLS33=$ORACLE_HOME/ocommon/nls/admin/data
----midenv end--------
----midstart begin------
# starting midtier components
# get env
. ./midenv
# UM listener_es start
lsnrctl start listener_es
dcmctl shell <<!
getState -v
start -v -ct ohs
start -v -co OC4J_Portal
start -v -co OC4J_UM
start -v -co OC4J_iFS_files
getState -v
# Webcache start (if configured, but not started, OC4J may fail)
webcachectl start
# EMD (if installed and enabled)
emctl start
# UM processes
oesctl startup midtierhost:um_system:smtp_in
oesctl startup midtierhost:um_system:smtp_out
oesctl startup midtierhost:um_system:imap
oesctl startup midtierhost:um_system:gc
oesctl startup midtierhost:um_system:list
oesctl startup midtierhost:um_system:pop
----midstart end--------
----midstop begin------
# stopping midtier components
# get env
. ./midenv
export password=oracle1
export myprompt=false
export prompt=false
ifsctl stop
oesctl shutdown sniprim2:um_system:smtp_in
oesctl shutdown sniprim2:um_system:smtp_out
oesctl shutdown sniprim2:um_system:imap
oesctl shutdown sniprim2:um_system:gc
oesctl shutdown sniprim2:um_system:list
oesctl shutdown sniprim2:um_system:pop
lsnrctl stop listener_es
# Webcache stop
webcachectl stop
dcmctl shell <<!
getState -v
stop -v -ct ohs
stop -v -co OC4J_Portal
stop -v -co OC4J_UM
stop -v -co OC4J_iFS_files
getState -v
opmnctl stopall
----midstop end--------

Similar Messages

  • How to create services start and stop automation script for diff servers

    Hi All,
    i want to create a bat file for automation purpose to start and stop services
    i have some services in 1st server aand some in 2nd server and some in 3rd servers.
    has you all know i have to follow sequences to start and stop services can any help me in creating .bat by linking 3 servers fo starting and stoping services.
    Thanks in advance
    Regards
    SM

    Hi,
    this is the list of start oder for services in 11.1.2.1 from the Installation and Configuration Guide
    1. Databases for repositories.
    2. Any corporate user directories that you plan to configure for use with Shared Services.
    3. Foundation Services Managed Server application server, which includes Shared Services,
    and EPM Workspace.
    4. Reporting and Analysis Framework — Agent Service (if required for your environment)
    5. Reporting and Analysis Framework Application Server (if required for your environment)
    6. Web server
    The remaining services and processes can be started in any order:
    1. Performance Management Architect Services
    2. Performance Management Architect application server
    3. Performance Management Architect Data Synchronizer application server
    4. Essbase Server
    5. Administration Services application server
    284 Starting and Stopping EPM System Products
    6. Integration Services Server
    7. Essbase Studio Server
    8. Provider Services application server
    9. Financial Reporting Services
    10. Financial Reporting application server
    11. Web Analysis application server
    12. Calculation Manager application server
    13. Planning application server and the Hyperion RMI Registry
    14. Financial Management service
    15. Financial Management Web application server
    16. Strategic Finance service
    17. Performance Scorecard application server
    18. Performance Scorecard Alerter application server
    19. Profitability and Cost Management application server
    to start services on different servers you can use the sc command in your batch file
    for eg
    sc \\10.121.201.21 start HypS9FrameworkAgent

  • Starting scripts for 9iAS and Storage tiers.

    Can someone point me to where are or how to start up 9iAS and Storage layers. I have both installed and ready to install Col Suite and wanted to have the other tiers up and running.
    Env: Red Hat 7.3
    512MB
    Thanks.

    Michael,
    in the proc directory you can do cat sem.
    Your output should be 250 32000 32 128
    Reset the values by doing echo 250 32000 100 128 >sem
    I also changed shmmax to totalram/2.
    echo 268435456 >shmmax
    I think this values will be lost after you restart your system.
    Need to find a place to have them perm.
    I have not installed the last component. Need to find out how to startup infra and midtier. Documentation does not seem to have that.
    Roman

  • Start script for Nagios 3.0.4 on Solaris 10 doesn't work.

    I compiled Nagios 3.0.4 on a Solaris 10 system using the following configure string:
    ./configure prefix=/space/nagios with-gd-lib=/usr/local/lib with-gd-inc=/usr/local/include with-nagios-user=na
    gios with-nagios-group=nagios with-temp-dir=/space/nagios/tmp with-init-dir=/etc/init.d with-lockfile=/space/nagio
    s/var/nagios.lock with-cgiurl=/nagios/cgi-bin with-htmurl=/nagios with-httpd-conf=/var/apache/conf enable-embedded
    -perl --with-mail=/usr/bin/mailx
    I have my Nagios configuration files setup and they are working properly as the command: nagios -v ../etc/nagios.cfg returns no errors.
    If I run the /etc/init.d/nagios script, it will return an exit status of zero stating that it ran successfully, however, there are no nagios processes running. I tried adding my PATH and LD_LIBRARY_PATH strings from my profile to the top of the Nagios start/stop script and it still will not work. The only way I can currently start nagios is by issuing the command:
    nohup /space/nagios/bin/nagios /space/nagios/etc/nagios.cfg &
    By issuing that command, I can see the monitoring in the web interface and can select on the various sections within the interface, etc. with no problems.
    I would like to know why the script will not work from /etc/init.d when I execute it manually. When I do attempt to start Nagios using the start/stop script, the following message is written to the nagios.log file.
    Lockfile '/space/nagios/var/nagios.log' does not contain a valid PID ([122535000)
    I have posted the above question to the Nagios forum and no one there has posted a response. Any help would be greatly appreciated.

    I have used the default (comes with Nagios) script with a few changes:
    @@ -115,7 +115,7 @@
    $NagiosBin -v $NagiosCfgFile > /dev/null 2>&1;
    if [ $? -eq 0 ]; then
    su - $NagiosUser -c "touch $NagiosVarDir/nagios.log \
    $NagiosRetentionFile"
    - rm -f $NagiosCommandFile
    + rm -f $NagiosCommandFile 2>/dev/null > /dev/null
    touch $NagiosRunFile
    chown $NagiosUser:$NagiosGroup $NagiosRunFile
    $NagiosBin -d $NagiosCfgFile
    @@ -138,10 +138,9 @@
    # happen, and then the exiting nagios will remove the
    # new NagiosRunFile, allowing multiple nagios daemons
    # to (sooner or later) run - John Sellens
    - echo -n 'Waiting for nagios to exit .'
    + echo 'Waiting for nagios to exit .'
    for i in 1 2 3 4 5 6 7 8 9 10 ; do
    if status_nagios > /dev/null; then
    - echo -n ' .'
    sleep 1
    Why not use SMF?
    vi /var/svc/manifest/network/nagios.xml (in a global zone, even if Nagios will run in a sparse root non-global zone)
    <!DOCTYPE service_bundle SYSTEM "/usr/share/lib/xml/dtd/service_bundle.dtd.1">
    <service_bundle type='manifest' name='Nagios'>
    <service
         name='network/nagios'
         type='service'
         version='1'>
         <dependency name='loopback'
              grouping='require_all'
              restart_on='error'
              type='service'>
              <service_fmri value='svc:/network/loopback:default'/>
         </dependency>
         <dependency name='physical'
              grouping='optional_all'
              restart_on='error'
              type='service'>
              <service_fmri value='svc:/network/physical:default'/>
         </dependency>
    <dependency
    name='filesystem'
    grouping='require_all'
    restart_on='none'
    type='service'>
    <service_fmri value='svc:/system/filesystem/local'/>
    </dependency>
         <instance name='default' enabled='false'>
              <exec_method
                   type='method'
                   name='start'
                   exec='/lib/svc/method/nagios start'
                   timeout_seconds='30'>
                   <method_context>
    <method_credential user='nagios' group='nagios'/>
                   <method_environment>
    <envvar name="NAGIOS_HOME" value="/usr/local/nagios"/>
    </method_environment>
                   </method_context>
              </exec_method>
              <exec_method
                   type='method'
                   name='stop'
                   exec='/lib/svc/method/nagios stop'
                   timeout_seconds='60'>
                   <method_context>
    <method_credential user='nagios' group='nagios'/>
                   <method_environment>
    <envvar name="NAGIOS_HOME" value="/usr/local/nagios"/>
    </method_environment>
                   </method_context>
              </exec_method>
         </instance>
         <template>
    <common_name>
    <loctext xml:lang='C'>
    Nagios
    </loctext>
    </common_name>
              <documentation>
                   <doc_link name='nagios.org'
                        uri='http://nagios.org/' />
              </documentation>
    </template>
    </service>
    </service_bundle>
    chown root:sys /var/svc/manifest/network/nagios.xml
    chmod 644 /var/svc/manifest/network/nagios.xml
    Now for the method:
    vi /lib/svc/method/nagios (in a global zone, even if Nagios will run in a sparse root non-global zone)
    Make sure you set prefix in the file below!
    #!/bin/sh
    status_nagios ()
    if test -x $NagiosCGI/daemonchk.cgi; then
    if $NagiosCGI/daemonchk.cgi -l $NagiosRunFile; then
    return 0
    else
    return 1
    fi
    else
    if ps -p $NagiosPID > /dev/null 2>&1; then
    return 0
    else
    return 1
    fi
    fi
    return 1
    printstatus_nagios()
    if status_nagios $1 $2; then
    echo "nagios (pid $NagiosPID) is running..."
    else
    echo "nagios is not running"
    fi
    killproc_nagios ()
    kill $2 $NagiosPID
    pid_nagios ()
    if test ! -f $NagiosRunFile; then
    echo "No lock file found in $NagiosRunFile"
    exit 1
    fi
    NagiosPID=`head -n 1 $NagiosRunFile`
    # Source function library
    # Solaris doesn't have an rc.d directory, so do a test first
    if [ -f /etc/rc.d/init.d/functions ]; then
    . /etc/rc.d/init.d/functions
    elif [ -f /etc/init.d/functions ]; then
    . /etc/init.d/functions
    fi
    prefix=/usr/local/nagios
    exec_prefix=${prefix}
    NagiosBin=${exec_prefix}/bin/nagios
    NagiosCfgFile=${prefix}/etc/nagios.cfg
    NagiosStatusFile=${prefix}/var/status.dat
    NagiosTempFile=${prefix}/var/nagios.tmp
    NagiosRetentionFile=${prefix}/var/retention.dat
    NagiosCommandFile=${prefix}/var/rw/nagios.cmd
    NagiosVarDir=${prefix}/var
    NagiosRunFile=${prefix}/var/nagios.lock
    NagiosLockDir=/var/lock/subsys
    NagiosLockFile=nagios
    NagiosCGIDir=${exec_prefix}/sbin
    NagiosUser=nagios
    NagiosGroup=nagios
    # Check that nagios exists.
    if [ ! -f $NagiosBin ]; then
    echo "Executable file $NagiosBin not found. Exiting."
    exit 1
    fi
    # Check that nagios.cfg exists.
    if [ ! -f $NagiosCfgFile ]; then
    echo "Configuration file $NagiosCfgFile not found. Exiting."
    exit 1
    fi
    # See how we were called.
    case "$1" in
    start)
    echo -n "Starting nagios:"
    $NagiosBin -v $NagiosCfgFile > /dev/null 2>&1;
    if [ $? -eq 0 ]; then
    su - $NagiosUser -c "touch $NagiosVarDir/nagios.log $NagiosRetentionFile"
    rm -f $NagiosCommandFile 2>/dev/null > /dev/null
    touch $NagiosRunFile
    chown $NagiosUser:$NagiosGroup $NagiosRunFile
    $NagiosBin -d $NagiosCfgFile
    if [ -d $NagiosLockDir ]; then touch $NagiosLockDir/$NagiosLockFile; fi
    echo " done."
    exit 0
    else
    echo "CONFIG ERROR! Start aborted. Check your Nagios configuration."
    exit 1
    fi
    stop)
    echo -n "Stopping nagios: "
    pid_nagios
    killproc_nagios nagios
    # now we have to wait for nagios to exit and remove its
    # own NagiosRunFile, otherwise a following "start" could
    # happen, and then the exiting nagios will remove the
    # new NagiosRunFile, allowing multiple nagios daemons
    # to (sooner or later) run - John Sellens
    # echo 'Waiting for nagios to exit .'
    for i in 1 2 3 4 5 6 7 8 9 10 ; do
    if status_nagios > /dev/null; then
    echo '.'
    sleep 1
    else
    break
    fi
    done
    if status_nagios > /dev/null; then
    echo ''
    echo 'Warning - nagios did not exit in a timely manner'
    else
    echo 'done.'
    fi
    rm -f $NagiosStatusFile $NagiosTempFile $NagiosRunFile $NagiosLockDir/$NagiosLockFile $NagiosCommandFile
    status)
    pid_nagios
    printstatus_nagios nagios
    restart)
    printf "Running configuration check..."
    $NagiosBin -v $NagiosCfgFile > /dev/null 2>&1;
    if [ $? -eq 0 ]; then
    echo "done"
    $0 stop
    $0 start
    else
    #$NagiosBin -v $NagiosCfgFile
    echo " FAILED! Restart aborted. Check your Nagios configuration."
    exit 1
    fi
    reload|force-reload)
    printf "Running configuration check..."
    $NagiosBin -v $NagiosCfgFile > /dev/null 2>&1;
    if [ $? -eq 0 ]; then
    echo "done"
    if test ! -f $NagiosRunFile; then
    $0 start
    else
    pid_nagios
    if status_nagios > /dev/null; then
    printf "Reloading nagios configuration..."
    killproc_nagios nagios -HUP
    echo "done"
    else
    $0 stop
    $0 start
    fi
    fi
    else
    #$NagiosBin -v $NagiosCfgFile
    echo " FAILED! Reload aborted. Check your Nagios configuration."
    exit 1
    fi
    echo "Usage: nagios {start|stop|restart|reload|force-reload|status}"
    exit 1
    esac
    # End of this script
    chmod 555 /lib/svc/method/nagios
    chown root:bin /lib/svc/method/nagios
    xmllint /var/svc/manifest/network/nagios.xml (should return the XML file contents)
    svccfg import /var/svc/manifest/network/nagios.xml (in the zone where Nagios will run)
    svcadm enable nagios
    I run /path/to/nagios/bin/nagios -v /path/to/nagios.cfg when making config changes and then svcadm restart nagios

  • Stop/start application for E90

    Hi,
    I use a E90(version 400.34.93). I wanted to know if there is a software will lets me stop and start an installed application (when the application is in hang state) on the phone without rebooting the phone. Thanx

    Hi there
    The Symbian operating system, as used on the E90-1, has a feature for this already built in. When an applications hangs, or even just to view running apps hold down the menu key and a list of open applications will be displayed. Scroll to the application you want to close and then hit the "C" key. This will force the application to quit without the need to reboot the phone.
    iPhone 5 32GB
    MacBook Pro Retina 15" Mac OS X Mountain Lion 10.8.4

  • How to create stop/start effect for tilt/shift

    Hi I was wondering how to get the animated look I have seen with tilt/shift videos. I want to record my scenes using my Canon 5D Mk2 in video mode rather than use time lapse and increase my shutter count. So after I have shot my video with my Tilt/shift lens I want to create the jittered video effect in FCP, any help would be appreciated. Many thanks in advance.
    Steve

    you can maybe have a play with the Video Filters > Video > Strobe effect, see if that gets you where you want to go

  • HACMP Clustering Script for SAP ECC 6.0 (SR1) - Automatic Failover-Oracle10

    Hello,
    I have installed the SAP ECC 6.0 (SR1) under AIX 5.3 / Oracle 10g with HACMP Clustering environment. Manual Failover is working fine. ASCS and Database instances are loaded in share drive with Virtual IP and Virtual name. Central Instance and Dialog Instance are loaded locally in Node A and Node B. I want to get HACMP Clustering script(automatic failover script) for Automation. Please help me if you have.
    Thanks
    Gautam Poddar

    Here are HA stop & start scripts that you should be able adapt for your particular circumstances. Based on earlier versions of SAP / Oracle but assume should be a reasonable guide
    Script to start SAP is start_sap_prd
    #!/bin/ksh
    Script:         /usr/local/bin/cluster/start_sap_prd
    Comments:       HACMP Application START script for PRD
    Show me obvious information in hacmp.out
    banner "Starting"
    banner "PRD SAP"
    Set the oracle and sap owner.
    ORASID="PRD"
    SAPADM="prdadm"
    ORAUSR="oraprd"
    VIRTUALHOST="vhost"
    DEVHOST="vhostdev"
    Get the volume groups for this resource group
    RG=$( /usr/es/sbin/cluster/utilities/cllsgrp | grep -i $ )
    VG_LIST=$( /usr/es/sbin/cluster/utilities/cllsres -g $ | \
            grep "VOLUME_GROUP=" | \
            awk -F\" '{ print $2 }' )
    Check the transport directory is mounted.
    if mount | grep -w "/usr/sap/trans"
      then
            print "Transport directory is already mounted."
      else
            cd /tmp
            print "Attempting a background mount of the transport directory."
            nohup mount -o intr,bg,soft :/usr/sap/trans1 /usr/sap/trans &
    fi
    #Start SAP and Oracle
    #Start listener
    su - $ -c /rprd/oracle/PRD/920_64/bin/lsnrctl start
    rc=$?
    if [ $? != 0 ]
      then
            echo "ERROR: Listener failed to start\n"
    fi
    #Start Database
    su - $ -c "/rprd/oracle/PRD/bin/start_database_PRD.sh"
    sleep 20
    Standard sapstart script
    su - $ -c startsap $
    Script:       /usr/local/bin/cluster/stop_sap_prd
    Dated:        01/11/06
    Application:  Oracle/SAP
    Comments:     HACMP Application STOP script for SAP / Oracle PRD
    Show me obvious information in hacmp.out
    Set the oracle and sap owner.
    rc=$?
    if [ $? != 0 ]
    then
            echo "ERROR: Failed to start SAP\n"
    fi
    exit 0
    Script to stop SAP is stop_sap_prd
    #!/bin/ksh
    set -x
    banner "stopping"
    banner "PRD SAP"
    ORASID="PRD"
    SAPADM="prdadm"
    ORAUSR="oraprd"
    VIRTUALHOST="vhost"
    #Stop SAP/Oracle
    su - $ -c stopsap $
    rc=$?
    if [ $? != 0 ]
    then
            echo "ERROR: Failed to stop SAP and Oracle\n"
            break
    fi
    Stop SAP collector and Oracle listener.
    su - $ -c /usr/sap/PRD/SYS/exe/run/saposcol -k
    rc=$?
    if [ $? != 0 ]
    then
            echo "ERROR: Failed to stop SAPOSCOL \n"
    fi
    su - $ -c /rprd/oracle/PRD/920_64/bin/lsnrctl stop
    rc=$?
    if [ $? != 0 ]
    then
            echo "ERROR: Listener failed to stop\n"
    fi
    if mount | grep -w "/usr/sap/trans"
      then
            print "Transport directory is mounted."
            /usr/es/sbin/cluster/events/utils/cl_nfskill -k -u /usr/sap/trans
            sleep 1
            /usr/es/sbin/cluster/events/utils/cl_nfskill -k -u /usr/sap/trans
            sleep 1
            umount -f /usr/sap/trans &
      else
            print "Transport directory is not mounted."
    fi
    exit 0

  • Startup scripts for DB in one $OH and AS in another $OH

    Hello, I am setting up Oracle Collaboration Suite 10g on a SLES9 SP3 machine. I have used the installers and followed the docs (so I ended up creating oracle users, setting kernel params, modifying limites, etc myself). I am now trying to figure out how to get this setup to start on boot. I found the orarun package but the Oracle Collaboration Suite (OCS) docs seem to recommend against this. I am willing to use it if it works, however. I have also looked at the ocsctl_sample script that is installed in the apps tier, but that doesn't seem to handle starting a db in a different $OH and can not be run by root. I wrote a wrapper to use "su oracle -c cmd" but that didn't work out either.
    The setup I have is a database instance in one $ORACLE_HOME, and then the app server and apps in a separate $ORACLE_HOME (infrastructure/OID is on another server). Both of these $OH instances are listed in /etc/oratab of course. Since OCS handles mail it listens on privileged ports (25, 143, etc), so this listener may need to be started by root. I am thinking I only want one opmn instance, one apache instance, and one em instance on the system as well. I read through the init.d/oracle script from the orarun package and it seems like it only looks at the first $OH found in /etc/oratab if the /etc/profile.d/oracle.sh file is not found (I moved it out of the way as I have two scripts I use to set oracle environments depending on whether I'm working on the db or the as).
    Has anyone either used orarun or developed other scripts for starting a db instance in one $OH and an app server in another? Any tips?
    Thanks in advance,
    Chris

    Well, the issue is really multiple ORACLE_HOMEs. The single box install of OCS is two, in OCS 9i it was three. There is no problem with it, you just have to set the environment(mr obvious).
    As far as having a single EM, you'll have two on your apps box. One for the apps, the other for the DB. Again, no problem because they are on different ports.
    So, I guess the simplest explanation is just to write your own script. You can either create a sudoer for the mail listener, or set the setuid bit. There is a note on metalink for starting the mail listener as Oracle user.
    The safest way would be to log in as root each time the mail listener needs started, it depends what you can tolerate. You will come across these very same issues if you setup the web cache etc. for reserved ports.
    Another issue for automating the startup with your environment, is the fact that it is on two boxes. The processes need started in a particular order, the DB, Infra, then the apps. I don't have a good suggestion for that. You really should have put the DB and infra on one box, and the apps on another.

  • Error in shutdown script for bea weblogic

    We have this error in the shutdown script of our bea weblogic:
    ./stopWebLogic.sh[33]: -Xms256m: not found.
    using the Oracle OCI database driver
    Shutdown initiated
    The shutdown sequence has been initiated.the script is as follows:
    echo "using the Oracle OCI database driver"
    export ORACLE_HOME=/opt/oracle/product/8.1.7
    export NLS_LANG=AMERICAN_AMERICA.UTF8
    export ORACLE_CLIENT_VERSION=817
    export ORACLE_API_VERSION=8
    PATH=$PATH:$ORACLE_HOME/bin
    SHARED_LIBRARY_PATH=$WEBLOGIC_HOME/lib/hpux11:$WEBLOGIC_HOME/lib/hpux11/oci$ORACLE_CLIENT_VERSION\_$ORACLE_API_VERSION:$ORACLE
    _HOME/lib
    PATH=$JDK_HOME/bin:$PATH
    export PATH
    # Set application specific variables
    DOMAIN_NAME=eGovStarters
    SERVER_NAME=MyServer
    WLS_PW=weblogic
    # change to domain directory
    cd $WEBLOGIC_HOME/config/$DOMAIN_NAME
    # Allow other users in group to see created files - i.e. logfiles
    umask 027
    # Set system classpath initially to contain WebLogic product JARs
    CLASSPATH=$WEBLOGIC_HOME:$WEBLOGIC_HOME/lib/weblogic.jar
    #!/bin/sh
    # Weblogic start script for egovernment
    # Based on Colin Brick's initial version
    # Modified 02/04/03 - Colin Brick
    #       - included settings for Oblix from using SSO Assembly Test as example
    # Set General environment variables (Should normally not be changed)
    #Java settings
    JDK_HOME=/opt/bea/jdk131/
    export JDK_HOME
    JAVACMD=java
    JAVA_OPTIONS=""-server -Xms1024m -Xmx1024m -Xmn320m -XX:SurvivorRatio=8 -Xverbosegc:file=/opt/bea/wlserver6.1/config/eGovStart
    ers/logs/gc.log -Dweblogic.system.gc.enabled=false ""
    export JAVA_OPTIONS
    WEBLOGIC_PORT=51080
    #Bea settings
    BEA_HOME=/opt/bea
    export BEA_HOME
    WEBLOGIC_HOME=/opt/bea/wlserver6.1
    export WEBLOGIC_HOME
    BEA_SECURITY_POLICY=/opt/bea/wlserver6.1/lib/weblogic.policy
    export  BEA_SECURITY_POLICY
    #Oracle settings
    echo "using the Oracle OCI database driver"
    export ORACLE_HOME=/opt/oracle/product/8.1.7
    export NLS_LANG=AMERICAN_AMERICA.UTF8
    export ORACLE_CLIENT_VERSION=817
    export ORACLE_API_VERSION=8
    PATH=$PATH:$ORACLE_HOME/bin
    SHARED_LIBRARY_PATH=$WEBLOGIC_HOME/lib/hpux11:$WEBLOGIC_HOME/lib/hpux11/oci$ORACLE_CLIENT_VERSION\_$ORACLE_API_VERSION:$ORACLE
    _HOME/lib
    PATH=$JDK_HOME/bin:$PATH
    export PATH
    # Set application specific variables
    DOMAIN_NAME=eGovStarters
    SERVER_NAME=MyServer
    WLS_PW=weblogic
    # change to domain directory
    cd $WEBLOGIC_HOME/config/$DOMAIN_NAME
    # Allow other users in group to see created files - i.e. logfiles
    umask 027
    # Set system classpath initially to contain WebLogic product JARs
    CLASSPATH=$WEBLOGIC_HOME:$WEBLOGIC_HOME/lib/weblogic.jar
    domain_NAME=eGovStarters
    SERVER_NAME=MyServer
    WLS_PW=weblogic
    # change to domain directory
    cd $WEBLOGIC_HOME/config/$DOMAIN_NAME
    # Allow other users in group to see created files - i.e. logfiles
    umask 027
    # Set system classpath initially to contain WebLogic product JARs
    CLASSPATH=$WEBLOGIC_HOME:$WEBLOGIC_HOME/lib/weblogic.jar
    #Set the shared library path
    if [ -n "$SHLIB_PATH" ]; then
            SHLIB_PATH=$SHLIB_PATH:$SHARED_LIBRARY_PATH
    else
            SHLIB_PATH=$SHARED_LIBRARY_PATH
    fi
    export SHLIB_PATH
    # Start weblogic
    # change to weblogic home
    cd $WEBLOGIC_HOME
    PATH=$WL_HOME/bin:$JAVA_HOME/jre/bin:$JAVA_HOME/bin:$PATH
    $JAVACMD -classpath $CLASSPATH -Dbea.home=$BEA_HOME -Dweblogic.Domain=$DOMAIN_NAME -Dweblogic.Name=MyServer weblogic.Admin -ur
    l t3://localhost:$WEBLOGIC_PORT -username system -password $WLS_PW SHUTDOWNIt has obviously something to do with the line
    JAVA_OPTIONS=""-server -Xms1024m -Xmx1024m -Xmn320m -XX:SurvivorRatio=8 -Xverbosegc:file=/opt/bea/wlserver6.1/config/eGovStart
    ers/logs/gc.log -Dweblogic.system.gc.enabled=false ""I googled for this Xms1024m, Xmx1024m and it turns out to be for memory management for the java virtual machine.
    I don't know why it sais it can't find "-Xms256m" since it's not in the script.
    Anyone with some experience in this field who can help me out?

    ./stopWebLogic.sh[33]: -Xms256m: not found.
    this can be produced by something like this:
    javaoptions="-Xms256m" // or other option too
    $javacmd $javaoptions
    Now if javacmd has not been set, then $javacmd will be evaluated to the empty string, and the program to look for is the first part in $javaoptions, -Xms256m in our case.

  • Scripts for starting/stopping managed servers

    All,
    Could someone provide me with some sample scripts for starting/stopping managed Weblogic servers?  I'm specifically looking for ways to start/stop them WITHOUT starting the AdminServer.  I'm running WLS 10.3.6 on Windows Server 2003, and I have NodeManager set to start automatically as a Windows service.
    I know how to set my managed servers up as Windows services so that they will start automatically at boot, but this requires the AdminServer to be running, which I do not want.  I just want a few scripts for starting/stopping the managed servers (and maybe some hints as to how to make them start automatically without starting the AdminServer).
    Thanks in advance,
    Tom

    Hello Puneet,
    Admin console is an web application deployed into AdminServer. Hence if you shutdown AdminServer then you wouldn't able to access Admin console.
    Managed Server would function in MSI mode, however you will not be able to make any configuration or administration activities like deployment , any configuration changes , etc.
    Hello PRISM,
    Can you confirm your requirement about why you don't want AdminServer to be running?
    As I said,  you will loose the administration capability if you don't have admin server running.
    Regards
    Rosario

  • Where can i find start/stop scripts for all SAP instances

    Hi,
    I installed CI, DB and Dialog instance on a standalone S10 machine and i could see start scripts under /sapmnt/RAM/profile
    START_DVEBMGS09_hostSAP
    START_D24_hostSAP
    But i cann't see stop scripts for the above and also i cann't see start and stop scripts for SAP DB instance. Could some one point me where i can find them when everything is installed on a single box.
    Thanks,
    Ram

    USAGE: STARTSAP.EXE name=<SID> nr=<SYSNR> SAPDIAHOST=<host>
    FURTHER INFORMATION:
    - The executable sapstart.exe must be in the same directory
    when you start sap instacne, it will check db instance first, if db instance not start , it will automatic start db instance then sap instance.
    vice visa :
    stopsap is alos can be used.

  • Shell script for start stop and restart standard

    Hi,
    I'd like to know if there's a standard template for shellscript for a kind of stop|start|restart execution of a server or stub.
    If you have any link or some info that explain how to do that nicely it would be nice!
    Thank you

    There's plenty of live examples in /etc/rc.d

  • Where would I start searching for someone to contact regarding this CONSTANT message? "A script on this page may be busy, or it may have stopped responding. You can stop the script now, or you can continue to see if the script will complete. "

    This is a cut and paste of the repetitive message that shows during every web session I have, repeatedly .
    "A script on this page may be busy, or it may have stopped responding. You can stop the script now, or you can continue to see if the script will complete.
    Script: file:///C:/Program%20Files%20(x86)/Mozilla%20Firefox/extensions/%7B635abd67-4fe9-1b23-4f01-e679fa7484c1%7D/components/nsYahooFileIO.js:26".
    I am going to go nuts if I don't fix this soon, please help!

    The most likely cause is a problem with Java on your system - older and/or messed up Java installations seems to cause this issue sometimes.
    To fix:
    Step 1: Try installing latest Java version. Check your Firefox/system browser plugins from this page, and install latest version: [http://www.mozilla.com/en-US/plugincheck/ Mozilla Plugin Check Page] (also works for most other browsers)
    If latest Java (currently "Java(TM) Platform SE 6 U20 - Next Generation Java Plug-in 1.6.0_20 for Mozilla browsers") does not fix the problem, you may have more versions installed on your system causing problems for each other. This leads us to -
    Step 2: Uninstall those you can from Control Panel -> Add/Remove programs. To make sure it is properly cleaned out, see [https://support.mozilla.com/en-US/forum/1/595817#threadId608043 these excellent tips from noah_sumo] to clean out Java completely, then install latest version again from the [http://www.java.com/en/download/manual.jsp Java.com download page].
    If you ''still'' get this error, you may have Norton or another security program which can also in some cases cause this issue. That takes us to:
    Step 3: Configure security program correctly.
    For Norton 360 see [[Configuring Norton 360]].
    For Norton Internet Security, see [[Configuring Norton Internet Security]].
    For other firewall programs, see [[Firewalls]].
    If none of these steps solves the problem, please provide any detail you can think of that may be related and let us know, and we will try to find other solutions to get this solved.

  • Everytime i start firefox, I get a window that says:A script on this page may be busy, or it may have stopped responding. You can stop the script now, or you can continue to see if the script will complete.

    Each time i open Firefox, i get a window opening saying:A script on this page may be busy, or it may have stopped responding. You can stop the script now, or you can continue to see if the script will complete.
    Script: file:///C:/Program%20Files/Mozilla%20Firefox/components/nsBrowserContentHandler.js:619
    When i try again, i get the same result, if I continue, nothing happens for a few minutes then fire fox opens with awindow saying to start again.
    == This happened ==
    Every time Firefox opened
    == I installed Firefox ==
    == User Agent ==
    Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.0; Trident/4.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.0.30729; .NET CLR 3.5.30729)

    Start Firefox in [[Safe Mode]] to check if one of your add-ons is causing your problem (switch to the DEFAULT theme: Tools > Add-ons > Themes).
    See [[Troubleshooting extensions and themes]] and [[Troubleshooting plugins]]
    If it does work in Safe-mode then disable all your extensions and then try to find which is causing it by enabling one at a time until the problem reappears.
    You can use "Disable all add-ons" on the ''Safe mode'' start window.
    You have to close and restart Firefox after each change via "File > Exit" (on Mac: "Firefox > Quit")

  • How to get stop script for the server

    Hello everyone,
    I installed weblogic server8.1 on my Linux machine and used $WL_HOME/server/bin/startWLS.sh
    to create a new domain and server. But I did not find any stop script(like stopWLS.sh)
    which can stop myserver. How can I get it?
    Thanks for your helps.
    Iris

    which can stop myserver. How can I get it?Here's an etc/rc3.d script I use for my RH9 server. You'll notice there is
    a line in there for stop(), you can run that manually if you so choose, or
    you can use it via the xinetd (I think that's what it's called?). Good luck.
    # processname: weblogic
    # pidfile: /var/run/weblogic.pid
    PIDFILE=/var/run/weblogic.pid
    # Source function library
    . /etc/init.d/functions
    #check to see if we can write to config.xml...so non-root uses stop here
    [ -w /Domain/config.xml ] || exit 0
    #setup the environment for the java commands
    . /bea/weblogic81/server/bin/setWLSEnv.sh
    cd /Domain
    start(){
    echo "Starting WebLogic for Domain"
    cd /Domain
    daemon ./startWebLogic.sh &
    echo $! > $PIDFILE
    RETVAL=$?
    echo "WebLogic Server started."
    return $RETVAL
    stop(){
    echo "Stopping WebLogic for Domain"
    rm -f $PIDFILE
    java weblogic.Admin -url localhost:80 FORCESHUTDOWN
    status(){
    echo "Getting Weblogic status for Domain"
    java weblogic.Admin -url localhost:80 GETSTATE
    restart(){
    echo -n "Restarting WebLogic for Domain"
    stop
    start
    # See how we were called.
    case "$1" in
    start)
    start
    stop)
    stop
    restart|reload)
    stop
    start
    status)
    status
    echo $"usage: $0 {start|stop|status|restart|reload}"
    exit 1
    esac
    exit $RETVAL

Maybe you are looking for

  • After updating to iTunes 10.6.0.40, it no longer detect my devices

    I have checked this on two of my Windows 7 laptops, two cables, an iPod Touch, and a iPad 2... iTunes no longer show apple devices (cds still appear) listed on the sidebar.  Windows detects an Apple Drive everytime i plug it. I have tried restarting

  • Time Constraint for Boundary Events

    Hi experts. I am pretty new to BPM (NetWeaver Developer Studio 7.1 SP04 BPM SP05) and I am just making a test process to try to get the time constraint concept right. So far I have three tasks in my process, very much like a textbook example. In my f

  • Jpeg thumbnails too small when saved from Photoshop

    Since moving to Snow Leopard, I notice that the Finder shows jpegs saved from Photoshop quite a bit smaller than jpegs saved using other apps, like Preview or just scanned images. This makes viewing the thumbnails in the Finder harder. Does anyone kn

  • Doubt if Xperia Z3 is shockproof

     Hello, guys, I just wanted to know if Xperia Z3 is shockproof. Mine one is the Dual version. I was wondering if just the glass screen protector is enough or I would have to use those phones cases. Thanks in advance.

  • Need Business One Fashion/Apparel Module

    I have a client that is a women's apparel company that sells both retail (web) and wholesale.  They're looking to move to Business One, but require a good Apparel module that works through the production side through order processing.  I'm familiar w